#!/usr/bin/make -f

MODULE_DIR=debian/fruitywifi-module-responder/usr/share/fruitywifi/www/modules/responder/includes

%:
	dh $@ --with python2

override_dh_install:
	dh_install
	wget https://github.com/SpiderLabs/Responder/archive/master.tar.gz -O $(MODULE_DIR)/Responder-master.tar.gz
	tar -x -z -f $(MODULE_DIR)/Responder-master.tar.gz -C $(MODULE_DIR)/
	sed -i 's/^SQL.*/SQL = On/g' $(MODULE_DIR)/Responder-master/Responder.conf
	sed -i 's/^SMB.*/SMB = On/g' $(MODULE_DIR)/Responder-master/Responder.conf
	sed -i 's/^FTP.*/FTP = On/g' $(MODULE_DIR)/Responder-master/Responder.conf
	sed -i 's/^LDAP.*/LDAP = On/g' $(MODULE_DIR)/Responder-master/Responder.conf
	sed -i 's/^HTTP .*/HTTP = Off/g' $(MODULE_DIR)/Responder-master/Responder.conf
	sed -i 's/^HTTPS.*/HTTPS = Off/g' $(MODULE_DIR)/Responder-master/Responder.conf
	sed -i 's/^DNS.*/DNS = Off/g' $(MODULE_DIR)/Responder-master/Responder.conf
	sed -i 's/^SessionLog.*/SessionLog = \/usr\/share\/FruityWifi\/logs\/responder.log/g' $(MODULE_DIR)/Responder-master/Responder.conf
	sed -i 's/#! \/usr\/bin\/env python/#!\/usr\/bin\/python/g' $(MODULE_DIR)/Responder-master/Responder.py
	rm $(MODULE_DIR)/Responder-master.tar.gz
